#include<iostream>
#include<math.h>
using namespace std;
int main()
{
	unsigned long long A,B,C,a,b,c,rez,prvi,posl,sred;
	int m,x=A,y=B,z=C,A1,B1,C1,max,min,mid;
	cin>>A>>B>>C;
	
	while(x>10)
	{	
		x/=10;
		a++;
	}
	
	while(y<=B)
	{	
		y/=10;
		b++;
	}
	
	while(z<=C)
	{	
		z/=10;
		c++;
	}
	
	max=A1;
	if(B1>max)
	{
		max=B1;
	}
	if(C1>max)
	{
		max=C1;
	}
	
	min=A1;
	if(B1<min)
	{
		min=B1;
	}
	if(C1<min)
	{
		min=C1;
	}
	mid=A1+B1+C1-(min+max);
	
	if(A1==min)
	{
		posl=A;
	}
	else if(A1==max)
	{
	 	prvi=A*pow(10,b)*pow(10,c);
	}
	else
	{
		if(B1==min)
		{
		sred=A*pow(10,b);
		} 
		else
		{
		sred=A*pow(10,c);
		}
	}
	
	if(B1==min)
	{
		posl=B;
	}
	else if(B1==max)
	{
	 	prvi=B*pow(10,a)*pow(10,c);
	}
	else
	{
		if(A1==min)
		{
		sred=B*pow(10,a);
		} 
		else
		{
		sred=B*pow(10,c);
		}
	}
	
	if(C1==min)
	{
		posl=C;
	}
	else if(C1==max)
	{
	 	prvi=C*pow(10,a)*pow(10,b);
	}
	else
	{
		if(B1==min)
		{
		sred=C*pow(10,b);
		} 
		else
		{
		sred=C*pow(10,a);
		}
	}
	
	
	rez=prvi+sred+posl;
	cout<<rez;
}